const getters = {
  getSubscriptionsGroupedByType (state) {
    let subscriptions = {
      'random': [],
      'student': [],
      'exam': [],
      'submission_type': []
    }
    Object.entries(state.subscriptions).forEach(([id, submission]) => {
      subscriptions[submission.query_type].push(submission)
    })
    return subscriptions
  },
  getSubmission: state => pk => {
    return state.submissions[pk]
  },
  getFeedback: state => pk => {
    return state.feedback[pk]
  },
  getSubmissionType: state => pk => {
    return state.submissionTypes[pk]
  }
}

export default getters
